let serverBuild = (process.env.serverBuild) ? process.env.serverBuild : 'local server build'

module.exports = {
    automationRunTags: '@sanity',
    scenarioPassThreshold: 100,
    projectName: 'ums',
    wdioPath: 'automation/wdio.conf.test.js',
    launchName: 'user-management-service',
    useReportPortal: true,
    reportPortalCookie: 'e9b8fa69-0f19-4bda-a632-861b096ea123',
    umsUrl: "user-management-service.dev.local:4202",
    issuer: "https://authenticator.dev.local:3001",
    redirect_uri: "http://user-management-service.dev.local:4202/auth/callback",
    grant_type: 'authorization_code',
    client_id: 'user_management_backend',
    client_secret: 'secret',
    scope: 'openid',
    response_type: 'code',
    mockServerRun: false,
    buildNumber: undefined,
    serverAddress:'',
    umsReport: '',    
    serverUrl: '',
    build: `Build versions:\n    Server build is ${serverBuild}`
};