
Feature: permissions
    CRUD permissions
    
    @sanity
    Scenario: Get a list of all permissions
        Given the request is: 
            """
                {       
                    "headers": {
                        "Content-Type": "application/json"
                    },
                    "json": true,   
                    "body": {}
                }

            """      
        When I get to "/v1/permissions"
        Then response status code should be 200
    
    @sanity
    Scenario: create new permission with application
        Given I create permission "permission1" with application "app1"
        When I get list of permissions
        Then permission "permission1" appears on list
    
    @sanity   
    Scenario: update permission (positive)
        Given I create permission "permission2" with application "app2"
        When I update permission "permission2" with application "app2"
        Then response status code should be 200
    
    @sanity
    Scenario: get all permissions for authenticated user with application
        Given I create user name "userwithrole1"
        And I create a role "roleforuserwithrole1" with permissions "permforuserwithrole1"
        When I add role "roleforuserwithrole1" to user "userwithrole1"
        And I get all permissions for auth user with app
        Then permissions should match
        