
Feature: roles
    CRUD roles
    
    @sanity 
    Scenario: Get a list of all roles
        Given the request is: 
            """
                {       
                    "headers": {
                        "Content-Type": "application/json"
                    },
                    "json": true,   
                    "body": {}
                }

            """      
        When I get to "/v1/roles"
        Then response status code should be 200
    
    @sanity
    Scenario: create new roles
        Given I create a role "role1" with permissions "permissions1forrole"
        When I get list of roles
        Then The role "role1" appears on list
    
    @sanity
    Scenario: update role (positive)
        Given I create a role "role2" with permissions "permissions2forrole"
        When I update role "role2" with permissions "permissions2forrole"
        Then response status code should be 200
    
    
    Scenario: create new predefined role
        Given I create a predefined role "role3" with permissions "permissions3forrole"
        When I get list of roles
        Then The role "role3" appears on list

    @sanity
    Scenario: get a role with its permissions
        Given I create a predefined role "role4" with permissions "permissions4forrole"
        When I get a role "role4" with its permissions
        Then permissions "permissions4forrole" of role "role4" are listed
    