const rp = require('request-promise');
const logger = require('@cellebrite/automation-loggers/loggerModule');

// tslint:disable-next-line: class-name
export class sendRequest {
    public static async sendRequest(jsonObject: any, postOptions: any) {

        const featureWorld = require("@cellebrite/automation-wdio-helpers/featureWorld");

        if (jsonObject && jsonObject !== '{}') {
            postOptions.body = jsonObject;
        }

        try {
            postOptions.headers.Authorization = `Bearer ${featureWorld.user.token}`;
            const res = await rp(postOptions);
            return res;
        } catch(err){
            logger.error(`Failed to send request, request, Error:\n ${err}`);
        }
    }
}