const authToken = require('../../common/helpers/authorization');

module.exports = {
    'defaults request': {       
        'headers': {
            'Content-Type': 'application/json',
            'Authorization': global.authToken
        },
        'json': true,   
        'body': {}
    },
    'role request': {       
        'headers': {
            'Content-Type': 'application/json'
        },
        'json': true,  
    },
    'group request': {       
        'headers': {
            'Content-Type': 'application/json'
        },
        'json': true,  
    },
    'headers-date': {
        "headers": {
            "date": "<<Masked>>"
        }
    },
    'response from user': {
        "statusCode": 200,
        "body": [{
                "id": "3",
                "externalId": "yehudakala4",
                "status": "active",
                "createdAt": "2018-11-14T08:36:50.967Z",
                "updatedAt": "2018-11-14T08:36:50.967Z",
                "firstName": "yehu",
                "lastName": "da",
                "email": "ye@g.com"
            }
        ],
        "headers": {
            "x-powered-by": "Express",
            "access-control-allow-origin": "*",
            "content-type": "application/json; charset=utf-8",
            "content-length": "189",
            "etag": "W/\"bd-Emx3/KChQLzf9+6bgFSHXPQgDTM\"",
            "date": "<<Masked>>",
            "connection": "close"
        },
        "request": {
            "uri": {
                "protocol": "http:",
                "slashes": true,
                "auth": null,
                "host": "user-management-service.dev.local:4202",
                "port": "4202",
                "hostname": "user-management-service.dev.local",
                "hash": null,
                "search": "?username=yehudakala4",
                "query": "username=yehudakala4",
                "pathname": "/v1/users",
                "path": "/v1/users?username=yehudakala4",
                "href": "http://user-management-service.dev.local:4202/v1/users?username=yehudakala4"
            },
            "method": "GET",
            "headers": {
                "Content-Type": "application/json",
                "accept": "application/json",
                "content-length": 2
            }
        }
    }
}
