
Feature: Application
   Test the options of different applications for roles 
    
    @sanity
    Scenario: Get a list of all applications
        Given the request is: 
            """
                {       
                    "headers": {
                        "Content-Type": "application/json"
                    },
                    "json": true,   
                    "body": {}
                }

            """      
        When I get to "/v1/applications"
        Then response status code should be 200

    @sanity
    Scenario: add new application with timestamp
        Given I create application name "application1"
        When I get list of application
        Then application "application1" appears on list
    
    @sanity
    Scenario: update application (positive)
        Given I create application name "application2"
        When I update application "application2"
        Then response status code should be 200
    