
Feature: user services

    @sanity
    Scenario: List users    
        Given the request is: get all users "defaults request"
        When I get to "/v1/users"
        Then response status code should be 200
        
    @need_review
    Scenario: check protected authenticate works as defined
        Given the request is: protected authenticate "defaults request"
        When I get to "/protected/authenticated"
        Then response status code should be 200

    @sanity
    Scenario: Add user(negativ-missing)
        Given the request is:
            """
            {       
                "headers": {
                            "Content-Type": "application/json"
                },
                "json": true,   
                "body": { 
                            "firstName": "jorge",
                            "lastName": "mager",
                            "email": "jorge.mager@gmail.com",
                            "phone": "0524739307",
                            "status": "active"
                        }
            }
            """
        When I post to "/v1/users"
        Then response status code should not be 201
    
    # Scenario: get user by id
    #     Given user "yehudakala4" exist
    #     When I list user "yehudakala4"
    #     And I filter the data with: "headers-date"
    #     Then response status code should be 200
    #     And I expect the response to be: "response from user"
    #     And response contains value "yehudakala4"
    #     And response key "externalId" value is "yehudakala4"
        
